<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PurchaseOrder extends Model
{
    use HasFactory;

    protected $guarded = [];

    public function order()
    {
        return $this->belongsTo(Order::class);
    }

    public function purchase_order_details()
    {
        return $this->hasMany(PurchaseOrderDetail::class);
    }

    public function purchase_order_histories()
    {
        return $this->hasMany(PurchaseOrderHistory::class);
    }

    public function supplier()
    {
        return $this->belongsTo(Supplier::class);
    }
}
