<?php

namespace App\Http\Controllers;

use App\Models\Inventory;
use Illuminate\Http\Request;

class InventoryController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return Inventory::with('product')->get();
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        return Inventory::create($request->all());
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Inventory  $rating
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        return Inventory::where('id', $id)->with('product')->first();
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Inventory  $rating
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        return Inventory::find($id)->update($request->all());
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Inventory  $rating
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        return Inventory::find($id)->delete();
    }
}
