<?php

namespace App\Http\Controllers;

use App\Models\Payment;
use Illuminate\Http\Request;

class PaymentController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index() {
        return Payment::query()->latest()->get();
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request) {
        return Payment::create($request->all());
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Payment  $rating
     * @return \Illuminate\Http\Response
     */
    public function show($id) {
        return Payment::where('id', $id)->first();
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Payment  $rating
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id) {
        return Payment::find($id)->update($request->all());
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Payment  $rating
     * @return \Illuminate\Http\Response
     */
    public function destroy($id) {
        return Payment::find($id)->delete();
    }
}
