<?php

namespace App\Http\Controllers;

use App\Models\Product;
use App\Models\PurchaseOrderDetail;
use App\Models\PurchaseOrderHistory;
use Illuminate\Http\Request;

class PurchaseOrderHistoryController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index() {
        return PurchaseOrderHistory::with('product')->latest()->get();
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request) {
        $poh = new PurchaseOrderHistory();

        $poh->fill($request->all());

        $pod = PurchaseOrderDetail::find($poh->purchase_order_detail_id);

        $pod->receive_qty += $poh->qty;
        $pod->receive_rate = (float) $pod->receive_rate + (float) $poh->rate;
        $pod->save();

        $product = Product::find($pod->product_id);
        $product->quantity += $poh->qty;
        $product->save();

        $poh->save();

        return $poh;
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\PurchaseOrderHistory  $purchaseOrderHistory
     * @return \Illuminate\Http\Response
     */
    public function show($id) {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\PurchaseOrderHistory  $purchaseOrderHistory
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id) {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\PurchaseOrderHistory  $purchaseOrderHistory
     * @return \Illuminate\Http\Response
     */
    public function destroy($id) {

        return $product = PurchaseOrderHistory::find($id)->delete();
    }
}
